org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class ReservationListRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.ReservationListRequestPBImpl

-     public class ReservationListRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest

  `ReservationListRequestPBImpl` implements the `ReservationListRequest` abstract class which captures the set of requirements the user has to list reservations.
  See Also:
    `ReservationListRequest`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationListRequestPBImpl()`
    `ReservationListRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationListRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `long` | `getEndTime()`
    `boolean` | `getIncludeResourceAllocations()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationListRequestProto` | `getProto()`
    `String` | `getQueue()`
    `String` | `getReservationId()`
    `long` | `getStartTime()`
    `int` | `hashCode()`
    `void` | `setEndTime(long endTime)`
    `void` | `setIncludeResourceAllocations(boolean includeReservationAllocations)`
    `void` | `setQueue(String queue)`
    `void` | `setReservationId(String reservationId)`
    `void` | `setStartTime(long startTime)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest

      `newInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationListRequestPBImpl

          public ReservationListRequestPBImpl()

    - #### ReservationListRequestPBImpl

          public ReservationListRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationListRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.ReservationListRequestProto getProto()

    - #### getQueue

          public String getQueue()

      Specified by:
        `getQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### setQueue

          public void setQueue(String queue)

      Specified by:
        `setQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### getReservationId

          public String getReservationId()

      Specified by:
        `getReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### setReservationId

          public void setReservationId(String reservationId)

      Specified by:
        `setReservationId` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### getStartTime

          public long getStartTime()

      Specified by:
        `getStartTime` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### setStartTime

          public void setStartTime(long startTime)

      Specified by:
        `setStartTime` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### getEndTime

          public long getEndTime()

      Specified by:
        `getEndTime` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### setEndTime

          public void setEndTime(long endTime)

      Specified by:
        `setEndTime` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### getIncludeResourceAllocations

          public boolean getIncludeResourceAllocations()

      Specified by:
        `getIncludeResourceAllocations` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### setIncludeResourceAllocations

          public void setIncludeResourceAllocations(boolean includeReservationAllocations)

      Specified by:
        `setIncludeResourceAllocations` in class `org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.